{% extends "layouts/with_sidebar.html" %}

{% block toolbar_page_actions %}
<a
  class="button button--secondary"
  href="{{ navigator.portal_page()
    .workspace_id(*portal.workspace_id)
    .rel_oid(*portal.class_oid)
    .portal_id(*portal.id)
    .build()?
    .get_path() }}"
  role="button"
>
  Back
</a>
{% endblock %}

{% block sidebar %}
{{ workspace_nav | safe }}
{% endblock %}

{% block main %}
<div class="padded padded--lg">
  <form method="post" action="update-name">
    <section>
      <h1>Portal Name</h1>
      <input
        type="text"
        autocomplete="off"
        class="form__input"
        data-1p-ignore
        data-bwignore="true"
        data-lpignore="true"
        data-protonpass-ignore="true"
        name="name"
        value="{{ portal.name }}"
      >
      <div class="form__buttons">
        <button class="button button--primary" type="submit">Save</button>
      </div>
    </section>
  </form>
</div>
{% endblock %}
